<?php
/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');

/** Import library dependencies */
jimport('joomla.event.plugin');

/**
 * @version	1.5
 * @author 	Dioscouri Design
 * @link 	http://www.dioscouri.com
 * @copyright Copyright (C) 2007 Dioscouri Design. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/
class plgSystemMobio_Login extends JPlugin 
{
	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @param $subject
	 * @param $config
	 * @return unknown_type
	 */
	function plgSystemMobio_Login(& $subject, $config) 
	{
		parent::__construct($subject, $config);
	}

	/**
	 * 
	 * @return unknown_type
	 */
	function onAfterDispatch()
	{		
		$mainframe = JFactory::getApplication();
		$option = JRequest::getVar('option');
		$task = JRequest::getVar('task');
		$view = JRequest::getVar('view');
		$userid = JRequest::getVar('userid','0','GET');
		
		$articleid = $this->params->get('articleid', 0);
		$itemidred = $this->params->get('itemidred', 0);
	
		if ($option == 'com_user' && $view == 'login')
		{
			$redurl = "index.php?option=com_content&view=article&id=".$articleid."&Itemid=".$itemidred;
			$url = JRoute::_( $redurl, false );
			$mainframe->redirect( $url );
			return;
		}
	}
}

